Summary: An interactive astronomical ephemeris program for X Windows systems
Name: xephem
Version: 3.1
Release: 1
Copyright: Freely redistributable/modifiable if attributed, no warranty
Group: Applications/Scientific
Source: iraf.noao.edu:contrib/xephem/xephem_3.0/xephem-3.1.tar.gz
Patch: xephem-3.1-config.patch
%description
XEphem is an interactive astronomical ephemeris program for X Windows
systems with Motif. It provides many graphical views as well as
quantitative heliocentric, geocentric and topocentric information for
Earth satellites, solar system and celestial objects.
%prep
%setup
%patch -p1

%build
cd libastro
xmkmf
make

cd ../GUI/xephem
xmkmf
make

%install
XS=GUI/xephem
XL=$RPM_BUILD_ROOT/usr/lib/xephem

install -s -m 755 -o 0 -g 0 $XS/xephem $RPM_BUILD_ROOT/usr/bin/xephem

install -m 644 -o 0 -g 0 $XS/xephem.man $RPM_BUILD_ROOT/usr/man/man1/xephem.1x

install -d -m 755 -o 0 -g 0 $XL/auxil
install -d -m 755 -o 0 -g 0 $XL/catalogs
install -d -m 755 -o 0 -g 0 $XL/catalogs/gsc
install -d -m 755 -o 0 -g 0 $XL/fifos
install -d -m 755 -o 0 -g 0 $XL/tools
install -d -m 755 -o 0 -g 0 $XL/tools/gsc
install -d -m 755 -o 0 -g 0 $XL/tools/xephemdbd

install -m 644 -o 0 -g 0 $XS/auxil/*		$XL/auxil
install -m 644 -o 0 -g 0 $XS/catalogs/*		$XL/catalogs
install -m 644 -o 0 -g 0 $XS/fifos/*		$XL/fifos
install -m 644 -o 0 -g 0 $XS/tools/[Raejty]*	$XL/tools
install -m 644 -o 0 -g 0 $XS/tools/gps.awk	$XL/tools
install -m 644 -o 0 -g 0 $XS/tools/gsc/*	$XL/tools/gsc
install -m 644 -o 0 -g 0 $XS/tools/xephemdbd/*	$XL/tools/xephemdbd

install -m 644 -o 0 -g 0 $XS/XEphem.ad \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XEphem

cat > README.linux <<'EOT'
This XEphem binary is compiled to link dynamically to Lesstif 0.83,
since I do not have a commercial version of Motif against which to
compile it.  The only bug I saw after several tests was that
constellation lines in the sky view tend to be drawn outside the
window boundary as well as in the window.  This bug has already been
drawn to the attention of the Lesstif project.
EOT

%files
%doc Copyright
%doc HISTORY
%doc INSTALL
%doc README

%doc README.linux

%doc GUI/xephem/XEphem.bw.ad

/usr/bin/xephem
/usr/man/man1/xephem.1x
/usr/lib/xephem
/usr/X11R6/lib/X11/app-defaults/XEphem
